### Enumeration

# Gtk AccessibleState

#### Declaration

    enum Gtk.AccessibleState

#### Description [src]

The possible accessible states of a `GtkAccessible`.

#### Members

`GTK_ACCESSIBLE_STATE_BUSY`

  A “busy” state. This state has boolean values.

  - Value: `0`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_CHECKED`

  A “checked” state; indicates the current state of a `GtkCheckButton`. Value type: `GtkAccessibleTristate`.

  - Value: `1`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_DISABLED`

  A “disabled” state; corresponds to the `GtkWidget:sensitive` property. It indicates a UI element that is perceivable, but not editable or operable. Value type: boolean.

  - Value: `2`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_EXPANDED`

  An “expanded” state; corresponds to the `GtkExpander:expanded` property. Value type: boolean or undefined.

  - Value: `3`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_HIDDEN`

  A “hidden” state; corresponds to the `GtkWidget:visible` property. You can use this state explicitly on UI elements that should not be exposed to an assistive technology. Value type: boolean See also: `GTK_ACCESSIBLE_STATE_DISABLED`.

  - Value: `4`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_INVALID`

  An “invalid” state; set when a widget is showing an error. Value type: `GtkAccessibleInvalidState`.

  - Value: `5`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_PRESSED`

  A “pressed” state; indicates the current state of a `GtkToggleButton`. Value type: `GtkAccessibleTristate` enumeration.

  - Value: `6`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_SELECTED`

  A “selected” state; set when a widget is selected. Value type: boolean or undefined.

  - Value: `7`
  - Available since: 4.0
`GTK_ACCESSIBLE_STATE_VISITED`

  Indicates that a widget with the GTK_ACCESSIBLE_ROLE_LINK has been visited. Value type: boolean.

  - Value: `8`
  - Available since: 4.12

#### Type functions

###### gtk_accessible_state_init_value

Initializes `value` with the appropriate type for the `state`.